uboot: (firmwareOdroidC2/C4) don't invoke patch tool, use patches = [] instead
https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh#L948 this can do it nicely. Signed-off-by: Anton Arapov <anton@deadbeef.mx>
This commit is contained in:
commit
56de2bcd43
30691 changed files with 3076956 additions and 0 deletions
26
pkgs/applications/science/math/yacas/fix-test-script.patch
Normal file
26
pkgs/applications/science/math/yacas/fix-test-script.patch
Normal file
|
|
@ -0,0 +1,26 @@
|
|||
diff --git i/tests/test-yacas w/tests/test-yacas
|
||||
index b375d78b..0e3a616b 100755
|
||||
--- i/tests/test-yacas
|
||||
+++ w/tests/test-yacas
|
||||
@@ -35,9 +35,9 @@ FAILED_TESTS="" # list of failed tests
|
||||
FAILURES=0 # number of failed tests
|
||||
TOTALTESTS=0 # total number of tests
|
||||
|
||||
-TESTFILE=/tmp/test-yacas.$$
|
||||
-TIMEFILE=/tmp/time-yacas.$$
|
||||
-VERSIONF=/tmp/version-yacas-$$.ys
|
||||
+TESTFILE="$(mktemp -t test-yacas.XXX)"
|
||||
+TIMEFILE="$(mktemp -t time-yacas.XXX)"
|
||||
+VERSIONF="$(mktemp -t version-yacas-XXX.ys)"
|
||||
LOGFILE=yacas-logfile.txt
|
||||
echo "Print(Version());" > $VERSIONF
|
||||
VERSION=`$CMD $VERSIONF`
|
||||
@@ -69,7 +69,7 @@ for scr in $SCRIPTS; do
|
||||
# fi
|
||||
echo "Running $scr"
|
||||
if [ -f $TESTFILE ]; then rm $TESTFILE ; fi
|
||||
- /bin/bash -c "time -p ($CMD $f || echo \"Error: exit status $?\") | tee $TESTFILE" \
|
||||
+ bash -c "time -p ($CMD $f || echo \"Error: exit status $?\") | tee $TESTFILE" \
|
||||
2> $TIMEFILE \
|
||||
|| (echo "Error -- User interrupt" > $TESTFILE)
|
||||
# cat $TIMEFILE
|
||||
Loading…
Add table
Add a link
Reference in a new issue